API
Payment Intents
POST
/payment-intentspayments:write
Creează o plată automată sau o autorizare cu captură manuală. Pentru marketplace, transmite `distribution.allocations`; comisionul aplicației folosește o alocare explicită `developer`, iar totalul trebuie să fie exact suma plății.
bash
curl -X POST https://api.monedo.eu/v1/payment-intents \
-H "Authorization: Bearer $MONEDO_API_KEY" \
-H "Monedo-Version: 2026-08-28" \
-H "Idempotency-Key: order-2026-1042-attempt-1" \
-H "Content-Type: application/json" \
-d '{
"amount": 4890,
"currency": "ron",
"merchant": "mer_REPLACE_ME",
"capture_method": "automatic",
"customer": "cus_REPLACE_ME",
"external_reference": "order_1042",
"description": "Comanda #1042",
"metadata": { "channel": "mobile" }
}'Răspuns exemplu
json
{
"id": "pi_mnd_...",
"object": "payment_intent",
"amount": 4890,
"amount_capturable": 0,
"amount_received": 0,
"amount_refunded": 0,
"currency": "ron",
"status": "requires_payment_method",
"capture_method": "automatic",
"external_reference": "order_1042",
"client_secret": "pi_..._secret_...",
"publishable_key": "pk_test_...",
"livemode": false
}GET
/payment-intents/{payment_intent}payments:read
Citește și sincronizează statusul curent al plății.